require_relative 'player'


module StudioGame
class BerserkPlayer < Player 
  def initialize(player, health = 100)
    super(player, health)
    @w00t_count = 0  
  end

  def berserk?
    @w00t_count > 5
  end

  def w00t
    super
    @w00t_count += 1
    puts "#{@name} is berserk!" if berserk?
  end

  def blam
    if berserk? 
      w00t
    else
      super
    end
  end
end
end

if __FILE__ == $0
  berserker = BerserkPlayer.new("berserker", 50)

  1.upto(6) {berserker.w00t}
  1.upto(2) {berserker.blam}
  puts berserker.health
end
